petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscDSGetBdDiscretization

Returns the boundary discretization object for the given field

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetBdDiscretization(PetscDS prob, PetscInt f, PetscObject *disc)

Not collective

### Input Parameters

| prob | - The PetscDS object
| f | - The field number

### Output Parameter

disc -The boundary discretization object

### See Also

PetscDSSetBdDiscretization(), PetscDSAddBdDiscretization(), PetscDSGetDiscretization(), PetscDSGetNumFields(), PetscDSCreate()

Level:beginner
Location:src/dm/dt/interface/dtds.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages